#ifndef GLNODE
#define GLNODE
#include <QMatrix4x4>
#include "../interfaces/ivisitable.h"
#include "../interfaces/visitor.h"
class Viewer;
class SceneGroup;
class  GlNode : public IVisitable {
public:

    QMatrix4x4 transform;
    virtual SceneGroup* getParent() = 0;
    virtual void setParent(SceneGroup* s) = 0;
};

#endif // GLNODE

